digiKam Developer Documentation: Digikam::ItemIconView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::ItemIconView Class Reference
Inheritance diagram for Digikam::ItemIconView:

## Public Slots
void | setZoomFactor (double zoom)
void | slotAlbumHistoryBack (int steps=1)
void | slotAlbumHistoryForward (int steps=1)
void | slotAlbumOpenInFileManager ()
void | slotAlbumPropsEdit ()
void | slotAlbumReadMetadata ()
void | slotAlbumSelected (const QList< Album * > &albums)
void | slotAlbumWriteMetadata ()
void | slotAssignColorLabel (int colorId)
void | slotAssignPickLabel (int pickId)
void | slotAssignRating (int rating, bool toggle=true)
void | slotAssignTag ()
void | slotAssignTag (int tagID)
void | slotCopySelectionTo ()
void | slotCreateGroupByFilenameFromSelection ()
void | slotCreateGroupByTimeFromSelection ()
void | slotCreateGroupByTimelapseFromSelection ()
void | slotCreateGroupFromSelection ()
void | slotDeleteAlbum ()
void | slotDeleteTag ()
void | slotEditor ()
void | slotEditTag ()
void | slotFileWithDefaultApplication ()
void | slotFitToWindow ()
void | slotFocusAndNextImage ()
void | slotGotoAlbumAndItem (const ItemInfo &imageInfo)
void | slotGotoDateAndItem (const ItemInfo &imageInfo)
void | slotGotoTagAndItem (int tagID)
void | slotIconView ()
void | slotImageAddToCurrentQueue ()
void | slotImageAddToExistingQueue (int)
void | slotImageAddToLightTable ()
void | slotImageAddToNewQueue ()
void | slotImageDelete ()
void | slotImageDeletePermanently ()
void | slotImageDeletePermanentlyDirectly ()
void | slotImageEdit ()
| Tools methods (Editor, BQM, Light Table) - itemiconview_tools.cpp.
void | slotImageExifOrientation (int orientation)
void | slotImageFindSimilar ()
void | slotImageLightTable ()
void | slotImagePaste ()
void | slotImagePreview ()
void | slotImageQualitySorter ()
| Side-bars handling methods - itemiconview_sidebars.cpp.
void | slotImageReadMetadata ()
void | slotImageRecognizeFaces ()
void | slotImageRemoveAllFaces ()
void | slotImageRename ()
void | slotImageScanForFaces ()
void | slotImageSeparationSortOrder (int order)
void | slotImageTrashDirectly ()
void | slotImageWriteMetadata ()
void | slotLeftSideBarActivate (QWidget *widget)
void | slotLeftSideBarActivate (SidebarWidget *widget)
void | slotLeftSideBarActivateAlbums ()
void | slotLeftSideBarActivateTags ()
void | slotLightTable ()
void | slotMapWidgetView ()
void | slotMoveSelectionToAlbum ()
void | slotNewAdvancedSearch ()
void | slotNewAlbum ()
void | slotNewDuplicatesSearch (const QList< PAlbum * > &albums={})
void | slotNewDuplicatesSearch (const QList< TAlbum * > &albums)
void | slotNewKeywordSearch ()
| Search management methods - itemiconview_search.cpp.
void | slotNewTag ()
void | slotNotificationError (const QString &message, int type)
void | slotOpenTagsManager ()
void | slotQueueMgr ()
void | slotRefresh ()
void | slotRemoveSelectedFromGroup ()
void | slotRemoveTag (int tagID)
void | slotRenameAlbum ()
void | slotRightSideBarActivateAssignedTags ()
void | slotRightSideBarActivateComments ()
void | slotRightSideBarActivateTitles ()
void | slotSelectAlbum (const QUrl &url)
void | slotSelectAll ()
void | slotSelectInvert ()
void | slotSelectNone ()
void | slotSeparateImages (int mode)
void | slotSetAsAlbumThumbnail (const ItemInfo &info)
void | slotSetCurrentUrlWhenAvailable (const QUrl &url)
void | slotSetCurrentWhenAvailable (const qlonglong id)
void | slotSortAlbums (int role)
void | slotSortImages (int order)
void | slotSortImagesOrder (int order)
void | slotSurvey ()
void | slotTableView ()
void | slotUngroupSelected ()
void | slotZoomIn ()
void | slotZoomOut ()
void | slotZoomTo100Percents ()

## Signals
void | signalAlbumSelected (Album *)
void | signalChangedTab (QWidget *)
void | signalFuzzySidebarActive (bool active)
void | signalGotoAlbumAndItem (const ItemInfo &)
void | signalGotoDateAndItem (AlbumIconItem *)
void | signalGotoTagAndItem (int tagID)
void | signalImageSelected (const ItemInfoList &selectedImage, const ItemInfoList &allImages)
void | signalLoadingComplete ()
void | signalLoadingProgress (float progress)
void | signalNoCurrentItem ()
void | signalSelectionChanged (int numberOfSelectedItems)
void | signalSeparationModeChanged (int category)
void | signalStartedLoading ()
void | signalSwitchedToIconView ()
void | signalSwitchedToMapView ()
void | signalSwitchedToPreview ()
void | signalSwitchedToTableView ()
void | signalSwitchedToTrashView ()
void | signalThumbSizeChanged (int)
void | signalTrashSelectionChanged (const QString &text)
void | signalZoomChanged (double)

## Public Member Functions
| ItemIconView (QWidget *const parent, DModelFactory *const modelCollection)
ItemInfoList | allInfo (const bool grouping=false) const
ItemInfoList | allInfo (const OperationType type) const
bool | allNeedGroupResolving (const OperationType type) const
| Item Group methods - itemiconview_groups.cpp.
QList< QUrl > | allUrls (bool grouping=false) const
| Get all items in the current view.
void | applySettings ()
void | clearHistory ()
void | connectIconViewFilter (FilterStatusBar *const filter)
Album * | currentAlbum () const
| Album management methods - itemiconview_album.cpp.
ItemInfo | currentInfo () const
QUrl | currentUrl () const
void | getBackwardHistory (QStringList &titles)
void | getForwardHistory (QStringList &titles)
bool | hasCurrentItem () const
void | hideSideBars ()
void | imageTransform (MetaEngineRotation::TransformationAction transform)
int | itemCount () const
| Items management methods - itemiconview_items.cpp.
QList< SidebarWidget * > | leftSidebarWidgets () const
void | nextLeftSideBarTab ()
void | nextRightSideBarTab ()
void | previousLeftSideBarTab ()
void | previousRightSideBarTab ()
void | refreshView ()
ItemInfoList | selectedInfoList (const bool currentFirst=false, const bool grouping=false) const
ItemInfoList | selectedInfoList (const OperationType type, const bool currentFirst=false) const
bool | selectedNeedGroupResolving (const OperationType type) const
QList< QUrl > | selectedUrls (bool grouping=false) const
| Get currently selected items.
QList< QUrl > | selectedUrls (const OperationType type) const
void | setAllGroupsOpen (bool open)
void | setHostWindowActions (const HostActionsMap &actions)
| Views management methods - itemiconview_views.cpp.
void | setRecurseAlbums (bool recursive)
void | setRecurseTags (bool recursive)
| Tags management methods - itemiconview_tags.cpp.
void | setThumbSize (int size)
void | setToolsIconView (DCategorizedView *const view)
void | showSideBars ()
void | toggleFullScreen (bool set)
void | toggleLeftSidebar ()
void | toggleRightSidebar ()
void | toggleShowBar (bool)
void | toggleTag (int tagID)
StackedView::StackedViewMode | viewMode () const
double | zoomMax () const
double | zoomMin () const
| Zoom management methods - itemiconview_zoom.cpp.
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override

## Member Function Documentation

## ◆ allNeedGroupResolving()

bool Digikam::ItemIconView::allNeedGroupResolving | ( | const OperationType | type | ) | const

Query whether the operation to be performed on currently selected or all all items in the currently active view should be performed on all grouped items or just the first.

## ◆ allUrls()

QList< QUrl > Digikam::ItemIconView::allUrls | ( | bool | grouping = `false` | ) | const

Whether only the first or all grouped items are returned is determined as described above.

## ◆ selectedUrls()

QList< QUrl > Digikam::ItemIconView::selectedUrls | ( | bool | grouping = `false` | ) | const

By default only the first images in groups are given, while all can be obtained by setting the grouping parameter to true. Given an operation, it will be determined from settings/user query whether only the first or all items in a group are returned. Ideally only the latter (giving an operation) is used.

## ◆ slotFitToWindow

void Digikam::ItemIconView::slotFitToWindow | ( |  | ) |
| slot

## ◆ slotImageQualitySorter

void Digikam::ItemIconView::slotImageQualitySorter | ( |  | ) |
| slot

Tools methods (Editor, BQM, Light Table) - itemiconview_tools.cpp.

## ◆ slotRemoveTag

void Digikam::ItemIconView::slotRemoveTag | ( | int | tagID | ) |
| slot

Implementation for Automatic Icon Removal of Confirmed Tags. QTimer to ensure TagRemoval is complete.

If the face just removed was the final face associated with that Tag, reset Tag Icon.